Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class DatabaseImpact

    java.lang.Object
      org.pentaho.di.trans.DatabaseImpact

    public class DatabaseImpact

extends Object

Field Summary
`static int` | `TYPE_IMPACT_DELETE`
`static int` | `TYPE_IMPACT_NONE`
`static int` | `TYPE_IMPACT_READ`
`static int` | `TYPE_IMPACT_READ_WRITE`
`static int` | `TYPE_IMPACT_TRUNCATE`
`static int` | `TYPE_IMPACT_UPDATE`
`static int` | `TYPE_IMPACT_WRITE`
`static String[]` | `typeDesc`

Constructor Summary
`DatabaseImpact(int type, String transname, String stepname, String dbname, String table, String field, String valuename, String valueorigin, String sql, String remark)`

Method Summary
`String` | `getDatabaseName()`
`String` | `getField()`
`String` | `getRemark()`
`org.pentaho.di.core.RowMetaAndData` | `getRow()`
`String` | `getSQL()`
`String` | `getStepName()`
`String` | `getTable()`
`String` | `getTransformationName()`
`int` | `getType()`
`String` | `getTypeDesc()`
`static int` | `getTypeDesc(String typedesc)`
`String` | `getValue()`
`String` | `getValueOrigin()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_IMPACT_NONE

    public static final int TYPE_IMPACT_NONE

See Also:
  Constant Field Values

### TYPE_IMPACT_READ

    public static final int TYPE_IMPACT_READ

See Also:
  Constant Field Values

### TYPE_IMPACT_WRITE

    public static final int TYPE_IMPACT_WRITE

See Also:
  Constant Field Values

### TYPE_IMPACT_READ_WRITE

    public static final int TYPE_IMPACT_READ_WRITE

See Also:
  Constant Field Values

### TYPE_IMPACT_TRUNCATE

    public static final int TYPE_IMPACT_TRUNCATE

See Also:
  Constant Field Values

### TYPE_IMPACT_DELETE

    public static final int TYPE_IMPACT_DELETE

See Also:
  Constant Field Values

### TYPE_IMPACT_UPDATE

    public static final int TYPE_IMPACT_UPDATE

See Also:
  Constant Field Values

### typeDesc

    public static final String[] typeDesc

Constructor Detail

### DatabaseImpact

    public DatabaseImpact(int type,
                          String transname,
                          String stepname,
                          String dbname,
                          String table,
                          String field,
                          String valuename,
                          String valueorigin,
                          String sql,
                          String remark)

Method Detail

### getTransformationName

    public String getTransformationName()

### getStepName

    public String getStepName()

### getValueOrigin

    public String getValueOrigin()

### getDatabaseName

    public String getDatabaseName()

### getTable

    public String getTable()

### getField

    public String getField()

### getValue

    public String getValue()

### getSQL

    public String getSQL()

### getRemark

    public String getRemark()

### getTypeDesc

    public String getTypeDesc()

### getTypeDesc

    public static final int getTypeDesc(String typedesc)

### getType

    public int getType()

### getRow

    public org.pentaho.di.core.RowMetaAndData getRow()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD